
import React from 'react';
import Icon from 'react-icon-base';

const SlKey = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M655.696 960c-159.056 0 -288.003 -129.154 -288.003 -288.467c0 -71.4082 26.0322 -136.624 68.9443 -187.008c-8.83203 0.543945 -17.8398 -2.43164 -24.5918 -9.18359l-322.384 -324.384c-12.4805 -12.4961 -12.4805 -32.7686 0 -45.249 c0.240234 -0.240234 0.512695 -0.383789 0.768555 -0.624023c0.0800781 -0.0800781 0.12793 -0.175781 0.208008 -0.255859l156.912 -159.904c12.4805 -12.4961 32.7529 -12.4961 45.249 0s12.4961 32.7686 0 45.249l-135.472 138.064l82.4961 83.0078l135.728 -138.32 c12.4805 -12.4961 32.7529 -12.4961 45.249 0s12.4805 32.7686 0 45.249l-135.856 138.448l172.384 173.472c6.67188 6.67188 9.66406 15.5361 9.21582 24.2725c50.624 -44.2881 116.672 -71.3125 189.168 -71.3125c159.056 0 288 129.152 288 288.48 c-0.015625 159.312 -128.943 288.465 -288.016 288.466zM655.693 447.998c-123.248 0 -224 100.272 -224 224c0 123.744 100.752 224 224 224s224 -100.256 224 -224c0 -123.728 -100.736 -224 -224 -224z"/></g>
    </Icon>
);

export default SlKey;
